<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OperationalUnitRefStructure StructType
 * Meta informations extracted from the WSDL
 * - documentation: Type for reference to an Operatorational Unit Code.
 * @subpackage Structs
 */
class OperationalUnitRefStructure extends OperatorRefStructure
{
    /**
     * The _
     * @var \StructType\OperatorRefStructure
     */
    public $_;
    /**
     * Constructor method for OperationalUnitRefStructure
     * @uses OperationalUnitRefStructure::set_()
     * @param \StructType\OperatorRefStructure $_
     */
    public function __construct(\StructType\OperatorRefStructure $_ = null)
    {
        $this
            ->set_($_);
    }
    /**
     * Get _ value
     * @return \StructType\OperatorRefStructure|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param \StructType\OperatorRefStructure $_
     * @return \StructType\OperationalUnitRefStructure
     */
    public function set_(\StructType\OperatorRefStructure $_ = null)
    {
        $this->_ = $_;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\OperationalUnitRefStructure
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
